<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CajaUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'monto_inicial' => ['required', 'numeric', 'between:-99999999.99,99999999.99'],
            'monto_final' => ['nullable', 'numeric', 'between:-99999999.99,99999999.99'],
            'fecha_apertura' => ['required'],
            'fecha_cierre' => ['nullable'],
            'estado' => ['required', 'in:Abierta,Cerrada'],
        ];
    }
}
